# Red Hat Documentation Specfile

Name:           Cluster_Administration
Version:        5.8
Release:        1%{?dist}
Summary:        Red Hat Cluster for Red Hat Enterprise Linux
Group:          Documentation
License:        OPL + Restrictions
URL:            http://www.redhat.com/docs
Source0:        %{name}.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       htmlview

%description
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%package -n Cluster_Administration-en-US
Requires:   htmlview
Group:      Documentation
Summary:        Red Hat Cluster for Red Hat Enterprise Linux

%description -n Cluster_Administration-en-US
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%prep
%setup -q -n %{name}
for lang in en-US as-IN bn-IN de-DE es-ES fr-FR gu-IN hi-IN it-IT ja-JP kn-IN ko-KR ml-IN mr-IN or-IN pa-IN pt-BR ru-RU si-LK ta-IN te-IN zh-CN zh-TW; do
mv %{name}-$lang $lang
done

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/

for lang in en-US as-IN bn-IN de-DE es-ES fr-FR gu-IN hi-IN it-IT ja-JP kn-IN ko-KR ml-IN mr-IN or-IN pa-IN pt-BR ru-RU si-LK ta-IN te-IN zh-CN zh-TW; do
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-$lang.desktop <<EOF
[Desktop Entry]
Name=Red Hat Cluster for Red Hat Enterprise Linux ($lang)
Comment=Configuring and Managing a Red Hat Cluster ($lang)
Exec=htmlview %{_docdir}/%{name}-$lang-%{version}/index.html
Icon=%{_docdir}/%{name}-$lang-%{version}/images/icon.svg
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF
done

%clean
rm -rf $RPM_BUILD_ROOT

%posttrans -n Cluster_Administration-en-US
if [ -d %{_datadir}/gnome/help/%{name} ]; then
    rm -rf %{_datadir}/gnome/help/%{name};
fi

%files -n Cluster_Administration-en-US
%defattr(-,root,root,-)
%doc en-US/*
%{_datadir}/applications/%{name}-en-US.desktop


%package -n %{name}-as-IN
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-as-IN
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-as-IN
%defattr(-,root,root,-)
%doc as-IN/*
%{_datadir}/applications/%{name}-as-IN.desktop


%package -n %{name}-bn-IN
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-bn-IN
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-bn-IN
%defattr(-,root,root,-)
%doc bn-IN/*
%{_datadir}/applications/%{name}-bn-IN.desktop


%package -n %{name}-de-DE
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-de-DE
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-de-DE
%defattr(-,root,root,-)
%doc de-DE/*
%{_datadir}/applications/%{name}-de-DE.desktop


%package -n %{name}-es-ES
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-es-ES
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-es-ES
%defattr(-,root,root,-)
%doc es-ES/*
%{_datadir}/applications/%{name}-es-ES.desktop


%package -n %{name}-fr-FR
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-fr-FR
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-fr-FR
%defattr(-,root,root,-)
%doc fr-FR/*
%{_datadir}/applications/%{name}-fr-FR.desktop


%package -n %{name}-gu-IN
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-gu-IN
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-gu-IN
%defattr(-,root,root,-)
%doc gu-IN/*
%{_datadir}/applications/%{name}-gu-IN.desktop


%package -n %{name}-hi-IN
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-hi-IN
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-hi-IN
%defattr(-,root,root,-)
%doc hi-IN/*
%{_datadir}/applications/%{name}-hi-IN.desktop


%package -n %{name}-it-IT
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-it-IT
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-it-IT
%defattr(-,root,root,-)
%doc it-IT/*
%{_datadir}/applications/%{name}-it-IT.desktop


%package -n %{name}-ja-JP
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-ja-JP
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-ja-JP
%defattr(-,root,root,-)
%doc ja-JP/*
%{_datadir}/applications/%{name}-ja-JP.desktop


%package -n %{name}-kn-IN
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-kn-IN
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-kn-IN
%defattr(-,root,root,-)
%doc kn-IN/*
%{_datadir}/applications/%{name}-kn-IN.desktop


%package -n %{name}-ko-KR
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-ko-KR
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-ko-KR
%defattr(-,root,root,-)
%doc ko-KR/*
%{_datadir}/applications/%{name}-ko-KR.desktop


%package -n %{name}-ml-IN
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-ml-IN
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-ml-IN
%defattr(-,root,root,-)
%doc ml-IN/*
%{_datadir}/applications/%{name}-ml-IN.desktop


%package -n %{name}-mr-IN
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-mr-IN
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-mr-IN
%defattr(-,root,root,-)
%doc mr-IN/*
%{_datadir}/applications/%{name}-mr-IN.desktop


%package -n %{name}-or-IN
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-or-IN
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-or-IN
%defattr(-,root,root,-)
%doc or-IN/*
%{_datadir}/applications/%{name}-or-IN.desktop


%package -n %{name}-pa-IN
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-pa-IN
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-pa-IN
%defattr(-,root,root,-)
%doc pa-IN/*
%{_datadir}/applications/%{name}-pa-IN.desktop


%package -n %{name}-pt-BR
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-pt-BR
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-pt-BR
%defattr(-,root,root,-)
%doc pt-BR/*
%{_datadir}/applications/%{name}-pt-BR.desktop


%package -n %{name}-ru-RU
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-ru-RU
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-ru-RU
%defattr(-,root,root,-)
%doc ru-RU/*
%{_datadir}/applications/%{name}-ru-RU.desktop


%package -n %{name}-si-LK
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-si-LK
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-si-LK
%defattr(-,root,root,-)
%doc si-LK/*
%{_datadir}/applications/%{name}-si-LK.desktop


%package -n %{name}-ta-IN
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-ta-IN
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-ta-IN
%defattr(-,root,root,-)
%doc ta-IN/*
%{_datadir}/applications/%{name}-ta-IN.desktop


%package -n %{name}-te-IN
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-te-IN
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-te-IN
%defattr(-,root,root,-)
%doc te-IN/*
%{_datadir}/applications/%{name}-te-IN.desktop


%package -n %{name}-zh-CN
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-zh-CN
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-zh-CN
%defattr(-,root,root,-)
%doc zh-CN/*
%{_datadir}/applications/%{name}-zh-CN.desktop


%package -n %{name}-zh-TW
Summary: Red Hat Cluster for Red Hat Enterprise Linux
Group: Documentation
Requires: htmlview

%description -n %{name}-zh-TW
Configuring and Managing a Red Hat Cluster describes 
the configuration and management of Red Hat cluster systems
for Red Hat Enterprise Linux 5.8 
It does not include information about Red Hat Linux
Virtual Servers (LVS). Information about installing and configuring
LVS is in a separate document.

%files -n %{name}-zh-TW
%defattr(-,root,root,-)
%doc zh-TW/*
%{_datadir}/applications/%{name}-zh-TW.desktop



%changelog
* Thu Jan 26 2012 Martin Prpic mprpic@redhat.com 5.8-1
- Resolves: #727332
- Content update

* Thu Aug 04 2011 Lukas Nykryn lnykryn@redhat.com 5.7-1
- Resolves: #727332
- Content update

* Wed May 21 2008 Michael Hideo Smith mhideo@redhat.com 5.2-1
- Resolves: #232215
- Changing from XML to HTML Single with floating Table of Contents and viewable by browser

* Tue Jun 26 2007 Michael Hideo Smith mhideo@redhat.com 5.1.0-1
- Resolves: #245685
- Content Updates

